Skip to Content
Hive
API Referencev1Services

Get Services by Type

GET
/v1/service

Retrieve organization services for a service type. When id is provided, the result is restricted to that service identifier.

Query Parameters

id?integer

Optional service identifier.

typeId*integer

Service type identifier.

forDirect?boolean

Accepted for compatibility; the current implementation does not apply this value.

forSub?boolean

Accepted for compatibility; the current implementation does not apply this value.

Response Body

Services retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/service?typeId=0'
Example Response
[  {    "id": 0,    "serviceList": {      "id": 0,      "name": "string",      "serviceProvider": {        "id": 0,        "name": "string",        "description": "string"      },      "carrier": {        "id": 0,        "name": "string"      },      "type": {        "id": 0,        "name": "string"      },      "supplierProductId": "string"    },    "organizationId": 0,    "integration": {      "id": 0,      "name": "string"    },    "name": "string",    "forDirect": true,    "forSub": true,    "carrierType": "string",    "offsetDays": 0,    "attributes": {}  }]